Get contributions awaiting thank you
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/thank-you-contributions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/thank-you-contributions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/thank-you-contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "kd_EdJvIXu3SEiXe_QkPavHSA",
"orderId": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"supporter": {
"email": "supporter@fourthwall.com",
"fullName": "Johnny123"
},
"products": [
{
"title": "My t-shirt",
"thumbnailUrl": "https://fourthwall.com/image.png"
}
],
"total": {
"amount": 5,
"currency": "USD"
},
"state": "WAITING",
"createdAt": "2020-08-13T09:05:36.939Z",
"message": "Sample message"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Thank Yous
List Contributions Awaiting Thank You
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns paginated list of orders, donations, and other contributions that can be thanked. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
thank-you-contributions
Get contributions awaiting thank you
OAuth scope:
thankyou_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.
Available options:
WAITING, SKIPPED, SENT, CANCELLED